#ifndef __INPUT_HEADER_FILE
#define __INPUT_HEADER_FILE

enum
{
											PLAYER1_LEFT,
											PLAYER1_RIGHT,
											PLAYER1_UP,
											PLAYER1_DOWN,
											PLAYER1_BUTTON1,
											PLAYER1_BUTTON2,
											PLAYER1_START,
											PLAYER2_LEFT,
											PLAYER2_RIGHT,
											PLAYER2_UP,
											PLAYER2_DOWN,
											PLAYER2_BUTTON1,
											PLAYER2_BUTTON2,
											PLAYER2_START,
											NO_OF_BUTTONS
};

BOOL										InitInput(HWND, HINSTANCE);
void										TidyInput(void);
void										AcquireKeyboard(void);
void										UnacquireKeyboard(void);
void										UpdateKeyboard(void);
char										*ButtonToString(int);
int											GetKeyPressed(void);
void										SetControlKey(int, int);


#endif